MongoId::__toString
MongoCode::__construct
Types
PHP Manual

# The MongoCode class

(PECL mongo >=0.8.3)

## Introduction

Represents JavaScript code for the database.

MongoCode objects are composed of two parts: a string of code and an optional scope. The string of code must be valid JavaScript. The scope is a associative array of variable name/value pairs.

## Class synopsis

MongoCode {
/* Methods */
public __construct ( string `$code` [, array `$scope` = array() ] )
public string __toString ( void )
}

## Table of Contents

- MongoCode::__construct — Creates a new code object
- MongoCode::__toString — Returns this code as a string

MongoId::__toString
MongoCode::__construct
Types
PHP Manual